;------------------------------------------------------------------------------
; File Name :      act.inc
;------------------------------------------------------------------------------
;      Copyright: Eugene M. Hutorny  2006
;      Revision:  V1.00
;      Date:      Oct 21, 2006
;      License:   Licensed to public under the Open Software License 
;                 http://www.opensource.org/licenses/osl-3.0.php
;------------------------------------------------------------------------------
;
;------------------------------------------------------------------------------
; Discrete Actuator interface
; 
;------------------------------------------------------------------------------

#define __act_inc
 ifndef __pdd_inc
    include "pdd.inc"
 endif
 ifdef __act_asm
   implementation
 else
   interface
 endif

;------------------------------------------------------------------------------
 public ACT                 ; ACT - actuator class
; Constructor parameter - eeprom address of constructor data
; Constructor data:
;   struct act_object {
;       byte    port;           //1. port address (LSB)
;       byte    mask; }         //2. port actuating mask
ACT_mData macro port, mask
    de low port, low mask
 endm
;------------------------------------------------------------------------------
; Input message to controll the actuator
 constant ACT_cMsgIDActuate = 022h
; struct ACT_cMsgActuate {
;   byte    msg_id; // == ACT_cMsgIDActuate
;   byte    value; }
 constant ACT_cValueOFF = .0            ; Full OFF
 constant ACT_cValueON  = .100          ; Full ON
 constant ACT_cValueALT = 0FFh          ; ALTer (toggle on/off)
