;------------------------------------------------------------------------------
; File Name :      adc.inc
;------------------------------------------------------------------------------
;      Copyright: Eugene M. Hutorny  2006
;      Revision:  V1.00
;      Date:      Oct 22, 2006
;      License:   Licensed to public under the Open Software License 
;                 http://www.opensource.org/licenses/osl-3.0.php
;------------------------------------------------------------------------------
;
;------------------------------------------------------------------------------
; ADC model refinement
; 
;------------------------------------------------------------------------------
 ifndef __pic_inc
    error "adc.inc" requires "pic.inc" included prior to it
 endif

 ; enum Justf
 constant ADC_eJustfLeft    = .0
 constant ADC_eJustfRight   = .1

 ; enum VrefSrc
 constant ADC_eVrefVdd      = .0
 constant ADC_eVrefVref     = .1

 ; enum Channels
 constant   ADC_AN0         = .0
 constant   ADC_AN1         = .1
 constant   ADC_AN2         = .2
 constant   ADC_AN3         = .3
 constant   ADC_AN4         = .4
 constant   ADC_AN5         = .5
 constant   ADC_AN6         = .6
 constant   ADC_AN7         = .7
 constant   ADC_AN8         = .8
 constant   ADC_AN9         = .9
 constant   ADC_AN10        = .10
 constant   ADC_AN11        = .11
 constant   ADC_AN12        = .12


 if _pic == _pic16F677 || _pic == _pic16F685 || _pic == _pic16F687 || _pic == _pic16F689 || _pic == _pic16F690
 include "adc41262.inc"
 endif

 if _pic == _pic12F629 || _pic == _pic12F675 
 include "adc41190.inc"
 endif

 if _pic == _pic18F248 || _pic == _pic18F258 || _pic == _pic18F448 || _pic == _pic18F458
 include "adc41159.inc"
 endif
