;------------------------------------------------------------------------------
; File Name :     b1s.asm
;------------------------------------------------------------------------------
;      Copyright: Eugene M. Hutorny  2006
;      Revision:  V1.00
;      Date:      Oct 15, 2006
;      License:   Licensed to public under the Open Software License 
;                 http://www.opensource.org/licenses/osl-3.0.php
;------------------------------------------------------------------------------
; B1S - Blink led on 1 Sec event
;------------------------------------------------------------------------------

 include "pic.inc"
 include "vos.inc"
 include "pdd.inc"
 if VOS_cDEBUG == true
 include "dbg.inc"
 endif
  ifdef GPIO
  constant b1s_PORT = GPIO
  constant b1s_mask = 010h                              ; GP4
  constant b1s_TRIS = TRISIO
  endif 
  ifdef PORTC
  ifdef LATC
  constant b1s_PORT = LATC
  else
  constant b1s_PORT = PORTC
  endif
  constant b1s_mask  = 02h                     ; mask to be used for driving led  (RC1)
  constant b1s_TRIS = TRISC
  endif


VOS_Classes                                 ; Class definitions begin
MyTimer VOS_mClass TmrHandler, TmrInit      ; MyTimer implementes TmrHandler, TmrInit

VOS_Objects                                             ; starts VOS object section
On1Sec
  VOS_mPersistentObject MyTimer, On1SecData  ; Instance on MyTimer

DEEPROM code_pack
On1SecData 
    de      low VTMR_cMsgIDTimer1s, low b1s_mask

;------------------------------------------------------------------------------
    code
TmrHandler
    PDO_mReadObjData 0
;  btfss       GPIO, GP1
    xorwf       INDF, W
    skpz
    return
    PDO_mReadObjData 1
    banksel     b1s_PORT
    xorwf       b1s_PORT, F                    ; Toggle PORT
    btfsc       VOS_bQueueOverflow
 if VOS_cDEBUG == true
    bsf         DBGIO,DBG_ALR
    btfsc       VOS_bTimeoutFlag
    bsf         DBGIO,DBG_SIG
 endif
    return        

;------------------------------------------------------------------------------
TmrInit
    PDO_mReadObjData 1
    xorlw       0FFh                        ; W = ~mask
    banksel     b1s_TRIS
    andwf       b1s_TRIS, F                 ; Prepare port for output according to mask
    return
 end
