;------------------------------------------------------------------------------
; File Name :      msw.inc
;------------------------------------------------------------------------------
;      Copyright: Eugene M. Hutorny  2006
;      Revision:  V1.00
;      Date:      Oct 15, 2006
;      License:   Licensed to public under the Open Software License 
;                 http://www.opensource.org/licenses/osl-3.0.php
;------------------------------------------------------------------------------
;
;------------------------------------------------------------------------------
; Multi-input switch interface
; 
;------------------------------------------------------------------------------
#define __msw_inc
 ifndef __pdd_inc
    include "pdd.inc"
 endif
 ifdef __msw_asm
   implementation
 else
   interface
 endif

;------------------------------------------------------------------------------
 public MSW                 ; MSW class
; Constructor parameter - eeprom address of constructor data
; Constructor data:
;   struct msw_object {
;       byte    acceptor;       //1. acceptor object as a VOS object handler
;       byte    port;           //2. port address (LSB)
;       byte    mask;           //3. port sensitivity mask (PSM)
;       byte    buff; }         //4. buffer to the integartion buffer (IB)

MSW_mData macro acceptor, port, mask, buff
    PDD_mData acceptor
    de low port, low mask, low buff
 endm

; different instances should use different IBs
; IB size should be 1 byte greate than number of bits in PSM
; Application should allocate necessary buffers and export MSW_Buffers label
;------------------------------------------------------------------------------
; Output message sent on state change
 constant MSW_cMsgIDChange  = 021h
;struct MSW_cMsgChange {
;   byte    msg_id; // == MSW_cMsgIDChange
;   byte    state; }

;------------------------------------------------------------------------------
; configuration parameters
 variable MSW_cMaxInputs    = .8            ; Maximal number of inputs to support
MSW_cMaxInputs = .13
 variable MSW_cUseMajority  = true          ; Enable triple port read with majority logic
 variable msw_cLevelOn      = .12           ; Input hysteresis - upper threashold
 variable msw_cLevelOff     = .3            ; Input hysteresis - lower threashold
;------------------------------------------------------------------------------

